function getLayout(self) {	
	var gutter = 5;
	var layout = {
		label: {
			top:  100,
			left: 0,
			width: self.parent.width,
			height: 20
		}
	};
	return layout;
}

function relayout() {
	var self = this;
	var layout = getLayout(self);
	
	for (var i in layout) {
		for (var j in layout[i]) {
			self[i][j] = layout[i][j];
		}
	}
}

function view() {
	return this.label;
}

// FirstView Component Constructor
function FirstView(parent) {
	//create object instance, a parasitic subclass of Observable
	var self = this;
	self.parent = parent;
	
	self.label = Ti.UI.createLabel({
		top:  100,
		left: 0,
		width: self.parent.width,
		height: 20,
		textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER,
		text: "Parent Window Size (w:" + self.parent.width + " h: " + self.parent.height + ")"
	});
	Ti.API.info("CONSTRUCTION Parent Window Size (w:" + self.parent.width + " h: " + self.parent.height + ")");
	// Handle orientation.	
	function relayoutFirstView(e) {
		self.relayout(self.parent);
		self.label.text = "Parent Window Size (w:" + self.parent.width + " h: " + self.parent.height + ")";
	}

	self.parent.addEventListener("open", function(e) {
		relayoutFirstView(e);
		Ti.API.info("OPEN EVENT Parent Window Size (w:" + self.parent.width + " h: " + self.parent.height + ")");
	});
	self.parent.addEventListener("close", function firstViewClose(e) {
		Ti.Gesture.removeEventListener("orientationchange", relayoutFirstView);
	});
	Ti.Gesture.addEventListener("orientationchange", function (e) {
		relayoutFirstView(e) 
		Ti.API.info("ORIENTATION CHANGE Parent Window Size (w:" + self.parent.width + " h: " + self.parent.height + ")");
	});

	return self;
}

FirstView.prototype.relayout = relayout;
FirstView.prototype.view = view;
module.exports = FirstView;
